List people allocations
GET/api/people-allocations
Required permissions:
- planning.view: allows view of resources owned by the user.
- planning.view_other: allows of view resources not owned by the user.
Here the dedicated support page.
Request
Query Parameters
- On a date
- Greater than
- Lower than
- Exclude deleted
- Include deleted
- Only deleted
- On a date
- Greater than
- Lower than
- On a date
- Greater than
- Lower than
Possible values: <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field. This is in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Filter items updated on a date.
Example: 2024-01-01T20:00:00%2B02:00
Filter items updated after a date.
Example: gt:2024-01-01T20:00:00%2B02:00
Filter items updated before a date.
Example: lt:2024-01-01T20:00:00%2B02:00
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Exclude soft-deleted records.
Example: exclude
Include both active and soft-deleted records.
Example: include
Return only soft-deleted records.
Example: only
Filter items by the deleted_at field. This is in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Filter items deleted on a date.
Example: 2024-01-01T20:00:00%2B02:00
Filter items deleted after a date.
Example: gt:2024-01-01T20:00:00%2B02:00
Filter items deleted before a date.
Example: lt:2024-01-01T20:00:00%2B02:00
Filter items by the date field. This follow the YYYY-MM-DD format.
Filter items updated on a date.
Example: 2024-01-01
Filter items updated after a date.
Example: gt:2024-01-01
Filter items updated before a date.
Example: lt:2024-01-01
The ID of the project to filter the results on.
The ID of the person to filter the results on.
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of people allocation resources.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 8
Possible values: >= 1
ID of the project related to this allocation
Possible values: >= 1
ID of the person related to this allocation
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-02-20T17:23:21.892Z",
"updated_at": "2026-02-20T17:23:21.892Z",
"date": "2026-02-20",
"hours": 4,
"project_id": 1,
"person_id": 1,
"deleted_at": "2026-02-20T17:23:21.892Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}